About CyberLoad

Cyberload is an application for your PC that lets you:

  • Download files to your Cybiko computer or PC from www.cybiko.com.
  • Send picture and music files to Cybiko computer.
  • Send/Receive e-mail.
  • Link to Mailbox.
  • Synchronize tasks and contacts with Microsoft Outlook 2000.
  • Update System Pack.


How to connect your Cybiko to PC

How to connect your Cybiko computer to PC.

Turn on your Cybiko computer. Wait until the Main Desktop appears. Then plug your Cybiko into one end of the RS232 cable (the cable which is included in Cybiko computer box) and the other end into your PC external COM port (9-pin slot on the back panel of your PC). Start CyberLoad. It will attempt to detect your Cybiko computer automatically. If successful, the "connected to PC..." message appears on your Cybiko computer display.

If CyberLoad doesn't detect your Cybiko computer automatically, it may have opened the incorrect COM port (for example, you connect your Cybiko computer to COM2, but Cyberload opens COM1). A COM port is displayed in the bottom right corner of Cyberload. Try to choose another one - click 'Port' in the top left corner of the Cyberload and choose the required COM port.


How to start Cyberload

  1. Run CyberLoad on your PC.
  2. Follow CyberLoad Welcome window instructions.

Note: CyberLoad is designed to detect Cybiko computer if the Main Desktop is displayed on the Cybiko computer's screen. However, it works even if you connect your Cybiko computer without the Main Desktop displayed. In this case, you will be asked to reboot your Cybiko computer after it's connected to Cyberload. If you do, a black screen will be displayed on your Cybiko computer instead of "Connected to PC..." box, but CyberLoad will function as usual.

The left list with the www.cybiko.com and My Computer folders, shows files that are external to your Cybiko computer. The right list with the Cybiko Computer folder shows files that are in your Cybiko computer. To look at files in any folder or subfolder, click the left mouse button on the "+" icon.


How to download 1

How to download files from cybiko.com to your Cybiko computer

How to download files to your PC only

How to download files from your PC to your Cybiko computer

File name restrictions

How to download files from cybiko.com to your Cybiko computer

1. Open the www.cybiko.com folder.
2. Open the Our 7 latest games and applications, Games, Applications or user files subfolder.
3. Tick off the files you'd like to download to your Cybiko computer by clicking the left mouse button.
4. Press the <Download> button.

5. If a Memory Extension Card is plugged into your Cybiko computer, click on a radio-button (Device Flash or Card Flash) where you want to download the files.

6. Press <OK>.

Note: The <Download> button will be disabled if no files are ticked off the left list. If there is no free space on Cybiko computer to download applications you will see dialog box with suggestion to save applications to your PC directory.

When you press the <Quit> button, your Cybiko computer will be rebooted automatically with new applications or games.

How to download files to your PC only

Note: you will be offered to download files on your PC only if the total size of files you selected exceeds the amount of free space on your Cybiko computer, of if there’s no Cybiko computer connected to your PC

1. Open the www.cybiko.com folder.
2. Open the Our 7 latest games and applications, Games, Applications or user files subfolder.
3. Tick off the files you'd like to download to your PC by clicking the left mouse button.
4. Press the <Download> button.

5. Tick off "Download applications on my computer only" checkbox.

6. Press <OK>.

How to download files from your PC to your Cybiko computer

This is done in the same way as downloading files from cybiko.com. The My Computer folder lists files stored in the Local Files folder of the CyberLoad directory on your hard disk. If you have a special Cybiko CD inserted, the corresponding folder is also added to the left frame in the CyberLoad window.

File name restrictions

You can’t download files with names beginning with a space or a period, as well as files with names ending with a space. CyOS does not support such filenames.

If you download a file with a name containing both opening and closing square brackets, the brackets and all characters between them will be skipped. For example, if you download the file game[1].app, its name on the Cybiko computer will be displayed as game.app.


How to send picture files to Cybiko

How to send picture and music files to Cybiko computer

Select menu item Tools/Converter to run the Converter application that allows you to send picture files that are obtained from a bitmap files and music files that are obtained from a midi files.

Read Help of Converter to learn more about Converter.


How to move files

All downloaded or moved files are placed in your local PC directory. You can restore them at any time using CyberLoad.

How to move games or/and applications

How to move user files

How to move games or/and applications

1. Open the Cybiko Computer folder to the correct list.
2. Open the Device Flash or/and Card Flash subfolder.
3. Open the Games or Applications subfolder.
4. Tick off the files you'd like to move to your PC by clicking the left mouse button.
5. Press the <Move> button.

Note: The <Move> button will be disabled if no files are ticked off the right list.

How to move user files

1. Open the Cybiko Computer folder in the list on the right.
2. Open the Device Flash or/and Card Flash subfolder.
3. Open the User Files subfolder.
4. Tick off the files you'd like to move to your PC by clicking the left mouse button.
5. Press the <Move> button.

Note: The <Move> button will be disabled if no files are ticked off the right list.

All moved user files are placed in the following folder:
<Your CyberLoad directory>\local_files\user_files\
(by default it's C:\Program Files\Cybiko\CyberLoad\local_files\user_files\).
This way they can be handled as normal PC files. Some of them can even be viewed from the PC (e.g. Text files can be viewed using any text editor for PC).


How to restore files

1. Open the My Computer folder.
2. Open the Games or Applications subfolder.
3. Tick off the files you'd like to download to your Cybiko computer by clicking the left mouse button.
4. Press the <Download> button.

5. Click on a radio-button (Device Flash or Card Flash) where you want to download the files.

6. Press <OK>.

When you press the <Quit> button, your Cybiko computer will be rebooted automatically with new applications or games.


How to delete files on your Cybiko

How to delete files on Cybiko computer

Place a check mark on the files you’d like to delete in the Cybiko computer list and press the <Delete> button.


Sending

S ending/receiving e-mail using CyberLoad

  1. Run CyberLoad.

  2. Follow CyberLoad Welcome window instructions (items 1-4).

Your E-mail messages will be sent and received automatically. You will see an information box showing you how many messages were sent and received.

Using CyberLoad, you can receive new messages from your internet mailbox right to your Cybiko computer by pressing the <Get Mail> button.

The button <Get Mail> can be disabled during e-mail exchanging. It can also be disabled by an error in the Internet connection. In this case you’ll see a special error message.

You can read new e-mail messages from your Cybiko computer after quitting CyberLoad and rebooting Cybiko.

Note: If sending/receiving mail does not work, make sure ports 80 (HTTP) and 1551 (SMTP) are opened.

IMPORTANT!

For uninterrupted e-mail exchanging, do not unplug your Cybiko computer from the PC when CyberLoad is running. If you need to unplug your Cybiko computer, first quit CyberLoad.


Important files backup

CyberLoad creates a backup of Organizer database (organizer.dat) and Address/Phone Book database (pnonebook.dat) every time it is launched. These files are stored in

<Your CyberLoad directory>\Backup\<your CyID>\
(by default it's C:\Program Files\Cybiko\CyberLoad\Backup\<your CyID>).


How to link to the mailbox

While you are linked to your mailbox at www.cybiko.com, additional features are available to you:

  • Duplicates of messages stored in the Inbox folder of your mailbox at the Cybiko web site are forwarded to your Cybiko computer mailbox. Only e-mail messages received during last 2 weeks are forwarded this way.
    Note: due to limited size of Cybiko computer mailbox, long messages (more than 1000 characters) are cut. To read the full versions of these messages, access your mailbox at the Cybiko web site using the web-interface at http://mail1.cybiko.com.
  • Duplicates of messages sent to your Cybiko computer e-mail address are forwarded to your mailbox at the Cybiko web site.

These features become available for letters received after the first linking of your Cybiko computer to the mailbox at the Cybiko web site. Also, after you first linked to your mailbox at the Cybiko web site, duplicates of all e-mail messages sent from your Cybiko computer via CyberLoad are put in the Sent Items folder in your mailbox at the Cybiko web site.

  1. Press <Link Cybiko computer to Mailbox> button
  2. Follow the instructions in the message window
  3. Press the <Link> button.

Note: if you don't have a mailbox on www.cybiko.com, follow the "sign-up" link in the "Link Cybiko Computer to Mailbox" window.

If you want to unlink from the mailbox, press the <Unlink> button in this window.

The button <Link to the Mailbox> can be disabled during e-mail exchanging. It can also be disabled by an error in the Internet connection. In this case you’ll see a special error message.


How to synchronize tasks and contacts with Microsoft Outlook

How to synchronize tasks and contacts with Microsoft Outlook 2000

You must have an Organizer application on your Cybiko computer (in order to synchronize tasks), Address/Phone Book on your Cybiko computer (in order to synchronize contacts) and Microsoft Outlook 2000 installed on your PC.

To synchronize both Organizer tasks and Address/Phone Book contacts with Microsoft Outlook 2000 tasks and contacts, select "Synchronize Tasks and Contacts with Microsoft Outlook 2000" in the "Operations" section of the top menu.

If you have a program which requests your confirmation when any program performs an attempt to access Microsoft Outlook (e.g. Security Update) installed on your PC, confirm the request when needed. Otherwise, “Synchronize Tasks and Contacts with Microsoft Outlook 2000” option will be disabled until you restart CyberLoad.

Synchronizing tasks

Synchronizing contacts

Synchronizing tasks

Organizer tasks are copied to Microsoft Outlook, and Microsoft Outlook tasks are copied to the Organizer. The following parameters are taken into consideration: task text, due date and reminder (on/off). Due to economizing flash space, the task length on the Cybiko computer can't exceed 109 characters. Longer tasks and subjects are cut while being transferred to the Cybiko computer. The quantity of tasks transferred this way is only limited by free flash space on your Cybiko computer. However, if you have a great amount of tasks in your Organizer, it may take several minutes to load them all while the Organizer is being launched.

If tasks with the same subjects but different contents/date (e.g. the tasks were already synchronized before, but one of them was updated later) are present in both the Organizer and Microsoft Outlook, you will be asked which version of the task you wish to leave. You can choose to leave either one or both versions of the task.

Note: this feature works only if the Organizer database was already created. This means you should launch Organizer at least 1 time before synchronizing tasks.

Synchronizing contacts

Address/Phone Book contacts are sychronized with the Microsoft Outlook contacts list. The following parameters are taken into consideration: First Name, Last Name, Nickname, CyID, Phone, E-mail (e-mail address), Address (mail address), ICQ, Other. If the length of some records in Microsoft Outlook contact exceeds the maximum allowed length of the corresponding fields in the Address/Phone Book, the line is cut.

If tasks with the same First Name, Last Name and Nickname, but other, different details are present in both Address/Phone Book and Microsoft Outlook, you will be asked which version of the contact you wish to leave. You can choose to leave either one or both versions of the contact.

Note: this feature works only if Address/Phone Book database was already created. This means you should launch Address/Phone Book at least 1 time before synchronizing tasks.


How to update System Pack on your Cybiko

How to update System Pack on your Cybiko computer

Press the <System Pack Update...> button.

 IMPORTANT!

In order to keep your files safe, do not unplug your Cybiko computer from the PC while System Pack is being updated!

If you have an expired version of System Pack on your Cybiko computer, CyberLoad will offer to perform a System Pack update. In some special cases (if the last System Pack version seriously differs from the previous one), you can’t work with CyberLoad without performing a System Pack update first.


How to connect your Cybiko to PC

How to format a Memory Extension Card

1. Make sure your Memory Extension Card is inserted into your Cybiko computer. If not, exit CyberLoad, turn the Cybiko computer off, insert the Card, turn the Cybiko computer on, wait until it loads and run CyberLoad.

2. Select menu item Tools/Memory Card format...

3. Confirm the operation.


Branch Game

You can start Branch game during long CyberLoad operations - use the menu item View/Show Branch...

Rules

Branch is a logical puzzle game for one player. Your goal is to compose a computer net branch and do it using a minimum number of turns. The game enables you to select the difficulty of the game.

The playing field is divided into square cells. Each square has a segment of the branch that can be rotated within the cell. If you rotate it correctly, it will connect onto neighboring pieces and the branch will be restored.

The initial cells, and cells that are connected to that initial cell, are all particular colors, which tell you they are “switched on” devices: light for cells with cables, and blue for computer displays. All other segments must be connected to the initial cell either directly or through others that are already connected.

So, to win the game, you have to “switch on” an entire computer net in a minimum number of turns.

Controls

To rotate a segment counter-clockwise, click on the cell by left mouse button.

To rotate a segment clockwise, click on the cell by right mouse button.

To select difficulty level, use the menu item Level.

To restart the game with new settings, use the menu item Game/Restart.

To solve the game, use the menu item Game/Solve.

To exit the game, use the menu item Game/Exit.